Page MenuHomePhabricator

Add missing cz fields
Closed, ResolvedPublic

Description

Per https://commons.wikimedia.org/wiki/User_talk:ErfgoedBot#Unknown_fields_are_known there are some fields which could easily be added to the mapping.

We would need ŠJů to specify which and map them to some English labels for us.

Event Timeline

SJu added a subscriber: SJu.Jul 26 2018, 6:52 PM

https://cs.wikipedia.org/wiki/%C5%A0ablona:Pam%C3%A1tky_v_%C4%8Cesku

Památkou_do = a date when the protection ended officially (for former monuments)
Zdroj souřadnic = source of the coordinates, "PK" value used for the "Památkový katalog"
Zdroj souřadnic datum přístupu = access date when the coordinates were taken from the source

Lokal_Profil added a comment.EditedJul 30 2018, 6:57 AM

Thanks.

I'll do a patch later but adding the following to fields should do it.

{
    "dest": "monument_until",
    "source": "Památkou_do"
},
{
    "dest": "coord_source",
    "source": "Zdroj souřadnic"
},
{
    "dest": "coord_source_date",
    "source": "Zdroj souřadnic datum přístupu"
}

I like how the oposite of "od" is "do" :)

Lokal_Profil renamed this task from Add missing cs fields to Add missing cz fields.Jul 30 2018, 7:23 AM

Change 449134 had a related patch set uploaded (by Lokal Profil; owner: Lokal Profil):
[labs/tools/heritage@master] Add known cz_cs fields

https://gerrit.wikimedia.org/r/449134

Change 449134 merged by jenkins-bot:
[labs/tools/heritage@master] Add known cz_cs fields

https://gerrit.wikimedia.org/r/449134

Should be solved with the next harvest.

No unknown fields anymore :) commons.wikimedia.org/wiki/Special:Diff/313223708

Effeietsanders closed this task as Resolved.Nov 18 2018, 12:12 AM